Page MenuHomePhabricator

Convert PageApi to PageGateway pattern
Closed, ResolvedPublic

Description

We are converting our API classes to be gateways that don't extend the Api but rather interact with the API via an instance of mw.Api.
(Preliminary reading: http://martinfowler.com/eaaCatalog/gateway.html)
This class should be converted to a gateway

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterHygiene: Convert PageApi to PageGateway

Event Timeline

Jdlrobson raised the priority of this task from to Low.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: MobileFrontend.
Jdlrobson moved this task to Backlog on the MobileFrontend board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2015, 4:33 PM

Change 240143 had a related patch set uploaded (by Jdlrobson):
Hygiene: Convert PageApi to PageGateway

https://gerrit.wikimedia.org/r/240143

phuedx updated the task description. (Show Details)Oct 16 2015, 8:37 AM
Jdlrobson moved this task from Backlog to Tasks on the MobileFrontend board.Nov 4 2015, 5:03 PM

@jhobs: I've reviewed 240143 and tested it locally but since you said that you were going to review it at yesterday's standup I've only +1d it.

Change 240143 merged by jenkins-bot:
Hygiene: Convert PageApi to PageGateway

https://gerrit.wikimedia.org/r/240143

Signing off, the task is purely technical.

phuedx closed this task as Resolved.Nov 23 2015, 9:56 AM

Tested the talk overlay and and wikitext editor on the Beta Cluster and they both LGTM.